// example0.cpp
// From the Player/Stage distribution, uncredited
// Modified by zjb 3/07

#include <iostream>
#include "libplayerc++/playerc++.h"

int
main(int argc, char *argv[])
{
  using namespace PlayerCc;

  char *server = "127.0.0.1";
	
	PlayerClient    robot(server); //argv[1]);
  Position2dProxy pp(&robot,0);
  //SonarProxy sp(&robot,0);

  pp.SetSpeed(0.1, 0.0);
  int cycles;

  for(cycles = 0; cycles< 100;cycles++)
  {
    double turnrate, speed;

    // read from the proxies
    robot.Read();

    // print out sonars for fun
    //std::cout << sp << std::endl;

    turnrate = drand48();
    speed = drand48()/2.0;

    printf("X %5.3f y %5.3f theta %5.3f\n",
           pp.GetXPos(),pp.GetYPos(),pp.GetYaw());

    // command the motors
    pp.SetSpeed(speed, turnrate);
  }
}

